-- todo-drop.sql
--
-- Will be executed when desinstalling the package


-- todo-items
drop view todo_items_all;

drop table todo_items;

-- package todo_item
-- 1. functions
select drop_package('todo_item');
-- 2. args declaration
delete from acs_function_args where function like 'TODO_ITEM%';

-- object_type todo_item
select acs_attribute__drop_attribute('todo_item','due_date');
select acs_attribute__drop_attribute('todo_item','owner_id');
select acs_attribute__drop_attribute('todo_item','status');
select acs_attribute__drop_attribute('todo_item','description');

select acs_object_type__drop_type('todo_item', true);
